package com.tzld.piaoquan.ad.engine.service.score;

import com.tzld.piaoquan.ad.engine.commons.score.ScoreParam;
import com.tzld.piaoquan.ad.engine.commons.score.ScorerUtils;
import com.tzld.piaoquan.ad.engine.service.score.dto.AdPlatformBidCreativeDTO;
import com.tzld.piaoquan.ad.engine.service.score.param.BidRankRecommendRequestParam;
import com.tzld.piaoquan.ad.engine.service.score.param.RankRecommendRequestParam;
import com.tzld.piaoquan.recommend.feature.domain.ad.base.AdRankItem;
import com.tzld.piaoquan.recommend.feature.domain.ad.base.UserAdFeature;

import java.util.List;
import java.util.Map;

public interface RankService {

    AdRankItem adItemRank(RankRecommendRequestParam request);
    AdPlatformBidCreativeDTO adBidRank(BidRankRecommendRequestParam request);

    AdPlatformBidCreativeDTO adBidRankNewPid(BidRankRecommendRequestParam request);

    List<AdRankItem> rank (ScoreParam param, UserAdFeature userAdFeature, List<AdRankItem> rankItems, String configFile);
}
